## ekg2 0.4~pre+20120506.1

=== debian/changelog ===
ekg2 (1:0.4~pre+20120506.1-16) unstable; urgency=medium

  * QA upload.
  * Disable OPENPGP certificate type. (Closes: #879533)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 14 Oct 2018 21:20:16 +0100

ekg2 (1:0.4~pre+20120506.1-15) unstable; urgency=medium

  * QA upload.
  * Comment out VCS links -- not updated since ages ago.
  * Drop bogus "current Debian best practice" hardcoding of automake
    version. (Closes: #906352)
  * Drop redundant --parallel.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Sep 2018 12:08:46 +0200

ekg2 (1:0.4~pre+20120506.1-14) unstable; urgency=medium

  * QA upload.
  * Add patch taken from Mageia to fix FTBFS with OpenSSL 1.1.0.
    (Closes: #851081)
  * debian/control:
    - ekg2-scripting-*: Add dependency "Suggests: ekg2-api-docs"
     (Closes: #849599)
    - ekg2: remove Suggests: sms-pl - it has been removed from
    repository 7 years ago.
    - Bump Standards-Version to 4.1.1.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 30 Nov 2017 12:42:48 +0100

ekg2 (1:0.4~pre+20120506.1-13) unstable; urgency=medium

  * QA upload.
  * Use OpenSSL 1.0.2 instead 1.1.0 to fix FTBFS. (Closes: #828292)
  * debian/control:
    - Drop ekg2-dbg package.
    - Bump dh version to 10.
    - Bump Standards-Version to 3.9.8.
    - Change XS-Python-Version to all.
    - Add dh-python to B-D.
  * Drop debian/pycompat.
  * debian/rules:
    - Enable hardening.
    - Remove *.la files.
  * Fix multiple spelling errors.
  * Fix debian/copyright.
  * Drop menu files.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 09 Dec 2016 21:01:49 +0100

ekg2 (1:0.4~pre+20120506.1-12) unstable; urgency=medium

  * QA upload.
  * Add graphviz to Build-Depends. Documentation was incomplete, but
    this package did not FTBFS because of Bug #818379 in doxygen.
  * Fix debian/copyright encoding. Patch by Jakub Wilk. Closes: #798822.

 -- Santiago Vila <sanvila@debian.org>  Sat, 19 Mar 2016 15:52:04 +0100

ekg2 (1:0.4~pre+20120506.1-11) unstable; urgency=medium

  * QA upload.
  * Use override_dh_installdocs-arch and override_dh_installdocs-indep
    so that the "Architecture: all" autobuilder does not FTBFS.

 -- Santiago Vila <sanvila@debian.org>  Tue, 08 Sep 2015 22:25:08 +0200

ekg2 (1:0.4~pre+20120506.1-10) unstable; urgency=medium

  * QA upload.
  * debian/rules: Drop topgit stuff.
  * debian/rules: Switch to automake-1.15. Closes: #797230.
  * debian/control: Drop alternative for autopoint, which is old enough.
  * Add debian/patches/we-will-do-fine-without-the-compile-time.diff
    which removes the use of compile_time() function everywhere.

 -- Santiago Vila <sanvila@debian.org>  Mon, 07 Sep 2015 21:34:28 +0200

ekg2 (1:0.4~pre+20120506.1-9) unstable; urgency=low

  * QA upload.
  * gnutls_deprecated.diff: Stop using deprecated (and removed in 3.4.0)
    gnutls*set_priority functions. Closes: #624036
  * testsuite_ignore_pc_subdirectory.diff: Fixup testsuite error by ignoring
    .pc subdirectory when scanning for gettext input files.
  * Drop ekg recommends for ekg2-dbg. Closes: #778755

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 May 2015 14:30:51 +0200

ekg2 (1:0.4~pre+20120506.1-8) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 05 Aug 2014 19:17:19 +0200

ekg2 (1:0.4~pre+20120506.1-7) experimental; urgency=medium

  * QA upload.
  * Build against libgnutls28-dev. Closes: #753024
  * Add missing "add" to ekg2-core package description (Thanks, Beatrice
    Torracca).  Closes: #621852
  * Use debhelper v9 mode to get dpkg-buildflags support. However set libdir
    (used for plugins) to /usr/lib instead of multiarch path.
  * Upload to experimental to get build test without delaying propagation of
    -6 to testing.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Aug 2014 15:36:17 +0200

ekg2 (1:0.4~pre+20120506.1-6) unstable; urgency=medium

  * QA upload.
  * Fix "hardcodes /usr/lib/perl5":
    use a debian/ekg2-scripting-perl.install.in in file where a variable gets
    replaced from debian/rules at build time with the value of
    $Config{vendorarch}
    (Closes: #752470)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jul 2014 19:23:21 +0200

ekg2 (1:0.4~pre+20120506.1-5) unstable; urgency=low

  * Orphaning.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 08 Jul 2014 07:42:20 +0200

ekg2 (1:0.4~pre+20120506.1-4) unstable; urgency=medium

  * Added a patch to fix segfault in ekg2_check (Closes: #743098)

 -- Marcin Owsiany <porridge@debian.org>  Sat, 19 Apr 2014 20:17:28 +0200

ekg2 (1:0.4~pre+20120506.1-3) unstable; urgency=low

  * Upload do sid.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 29 Oct 2013 21:14:15 +0100

ekg2 (1:0.4~pre+20120506.1-2) experimental; urgency=low

  * Fix varargs handling to build on arm (Closes: #618716)

 -- Marcin Owsiany <porridge@debian.org>  Tue, 29 Oct 2013 13:17:10 +0100

ekg2 (1:0.4~pre+20120506.1-1) experimental; urgency=low

  * Merge a new upstream snapshot.
  * Use automake 1.14 (Closes: #722607)
  * Fix a /usr/share/doc/ekg2 file conflict between ekg2 and ekg2-core
    (Closes: #710905)

 -- Marcin Owsiany <porridge@debian.org>  Sat, 26 Oct 2013 23:06:28 +0200

ekg2 (1:0.4~pre+20110319.3-1) experimental; urgency=low

  * Add locking to ekg_debug_handler to fix threading issues.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 27 Jan 2012 21:15:31 +0000

ekg2 (1:0.4~pre+20110319.2-1) experimental; urgency=low

  * Merged my static crash handlig patchseries.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 07 Jan 2012 22:25:13 +0000
