=== debian/control ===
Source: ekg2
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 autoconf, automake (>= 1.14~), libtool, autopoint, gettext,
# UI
 libncursesw5-dev, libgpmg1-dev, libaspell-dev, libgtk2.0-dev,
# scripting
 python, python-dev, libperl-dev,
# Protocols
 libgadu-dev, libexpat1-dev,
# Encryption
 libssl-dev, libgnutls28-dev, libgpgme11-dev,
# Other
 zlib1g-dev, libsqlite3-dev, libglib2.0-dev,
# Documentation
 xsltproc, docbook-xsl, doxygen, graphviz
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.1.1
XS-Python-Version: all
Homepage: http://ekg2.org/
#Vcs-Git: git://github.com/porridge/ekg2.git
#Vcs-Browser: https://github.com/porridge/ekg2

Package: ekg2-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2
Description: instant messenger and IRC client for UNIX systems - main program
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the main program and those plugins which do not have
 large dependencies. It does NOT contain the text or graphical user interface
 plugins.

Package: ekg2
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ekg2-ui-ncurses (= ${binary:Version}), ekg2-jabber (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: ekg2-gnupg, ekg2-scripting-python, ekg2-scripting-perl, ekg2-ui-gtk
Description: instant messenger and IRC client for UNIX systems
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 The program has many useful features. Here is a list - unless specified they
 are included in the ekg2-core package.
   - irssi-like ncurses interface, with mouse support [ekg2-ui-ncurses]
   - experimental GTK+ interface [ekg2-ui-gtk]
   - spell checking [ekg2-ui-ncurses]
   - jogger.pl blog update support
   - a simple CAPTCHA (autoresponder)
   - Python and Perl scripting [ekg2-scripting-python, ekg2-scripting-perl]
   - launching shell commands on certain events
   - encryption support (SIM, GnuPG) [ekg2-core, ekg2-gnupg]
   - logging to SQLite, plain text or XML files
   - sending SMs (using an external program such as sms-pl)
   - mail checking
 .
 This is a metapackage which depends on a set of commonly used EKG2 packages.

Package: ekg2-api-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - API documentation
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the API documentation, useful for developers who want to
 create or improve plugins.

Package: ekg2-gnupg
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - GnuPG
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which uses GnuPG to provide encrypted
 communication.

Package: ekg2-jabber
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - Jabber/XMPP
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which lets you communicate on the Jabber or
 XMPP IM networks.

Package: ekg2-scripting-python
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: ekg2-api-docs
XB-Python-Version: ${python:Versions}
Description: instant messenger and IRC client for UNIX systems - Python scripting
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which embeds a Python interpreter inside
 EKG2.

Package: ekg2-scripting-perl
Architecture: any
Suggests: ekg2-api-docs
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: instant messenger and IRC client for UNIX systems - Perl scripting
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which embeds a Perl interpreter inside
 EKG2.

Package: ekg2-ui-gtk
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - GTK+ interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the graphical GTK+ user interface plugin.

Package: ekg2-ui-ncurses
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: aspell-dictionary
Description: instant messenger and IRC client for UNIX systems - ncurses interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the text-based ncurses user interface plugin.
